unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
  b=array of char;
var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var buf: array[1..10] of AnsiChar; //w Delphi 2010 musi byæ typ AnsiChar zamiast Char
                                   //poniewaz w Delphi Char zajmuje 2 bajty
    plik: TFileStream;
    liczba_bajtow,i,j: integer;
begin
   try
     plik:=TFileStream.Create('plik.txt',fmOpenRead);
     try
       liczba_bajtow:=plik.Size; //=10
     //  Label1.Caption:=InttoStr(SizeOf(buf)); //w Delphi 2010=20
       if liczba_bajtow>=10 then
         for i:=1 to liczba_bajtow div 10 do
         begin
           plik.Read(buf,SizeOf(buf)); //odczyt 10 znakow
           for j := 1 to 10 do Label1.Caption:=Label1.Caption+buf[j];
         end;

       //pozostale znaki
       liczba_bajtow:=liczba_bajtow MOD 10;

       if liczba_bajtow>0 then plik.Read(buf,SizeOf(buf));
       for j := 1 to liczba_bajtow do Label1.Caption:=Label1.Caption+buf[j];

     finally
       plik.Free
     end;
   except
      ShowMessage('Brak pliku');
   end;
end;

end.
